#!/bin/sh
cd `dirname $0`/..
VERSION=`cat VERSION`
name=drabt-$VERSION
dir=/tmp/$name
zip=/tmp/$name.tar.bz2
[ -d $dir ] || mkdir $dir
rm -rf $dir/* $zip
cp -a \
  VERSION \
  README \
  USAGE \
  LICENSE \
  configure.sh \
  parse.h \
  drabt.c \
  $dir/
sed \
  -e '/shell cat .gitignore/d' \
  makefile.in > $dir/makefile.in
sed \
  -e 's,^,	rm -f ,' \
  .gitignore >> $dir/makefile.in
mkdir $dir/contrib
cp -a contrib/*.sh $dir/contrib
rm -f $dir/contrib/mkrelease.sh
mkdir $dir/contrib/sortproof
cp -a contrib/sortproof/configure.sh $dir/contrib/sortproof/
cp -a contrib/sortproof/sortproof.c $dir/contrib/sortproof/
sed \
  -e '/shell cat .gitignore/d' \
  contrib/sortproof/makefile.in > $dir/contrib/sortproof/makefile.in
sed \
  -e 's,^,	rm -f ,' \
  contrib/sortproof/.gitignore >> $dir/contrib/sortproof/makefile.in
mkdir $dir/tests
make -s -C tests clean
cp -a tests/* $dir/tests
rm -f $dir/tests/UPDATE
cd /tmp
tar zcf $zip $name
ls -l $zip
